<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>bus.bus</groupId>
	<artifactId>bus</artifactId>
	<packaging>pom</packaging>
	<version>1.0.0-SNAPSHOT</version>


	<parent>
		<artifactId>qzframework-parent</artifactId>
		<groupId>com.qzwisdom.qzframework</groupId>
		<version>3.0.0-SNAPSHOT</version>
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<maven.compiler.encoding>UTF-8</maven.compiler.encoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.test.skip>true</maven.test.skip>
		<qzframework.version>3.0.0-SNAPSHOT</qzframework.version>
	</properties>

	<modules>
		<module>bus-common</module>
		<module>bus-api</module>
		<module>bus-rpc</module>
		<module>bus-biz</module>
		<module>bus-web</module>
		<module>bus-boot</module>
	</modules>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.qzwisdom.qzframework</groupId>
				<artifactId>qzframework-core-boot</artifactId>
				<version>${qzframework.version}</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-common</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-api</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-rpc</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-biz</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-web</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
			<dependency>
				<groupId>bus.bus</groupId>
				<artifactId>bus-boot</artifactId>
				<version>1.0.0-SNAPSHOT</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<distributionManagement>
		<repository>
			<id>nexus-prod</id>
			<url>http://192.168.2.177:8888/repository/maven-product-release/</url>
		</repository>
		<snapshotRepository>
			<id>nexus-deve</id>
			<url>http://192.168.2.177:8888/repository/maven-product-snapshot/</url>
		</snapshotRepository>
	</distributionManagement>

	<repositories>
		<repository>
			<id>nexus-prod</id>
			<url>http://192.168.2.177:8888/repository/maven-product-release</url>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
		<repository>
			<id>nexus-deve</id>
			<url>http://192.168.2.177:8888/repository/maven-product-snapshot</url>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
	</repositories>

</project>
